{
  lib,
  config,
  ...
}: let
  cfg = config.git.lazygit;
in {
  options = {
    git.lazygit.enable = lib.mkEnableOption "lazygit, a git tui";
  };

  config = lib.mkIf cfg.enable {
    programs.lazygit = {
      enable = true;
      settings = {
        gui = {
          shwoRandomTip = false;
          nerdFontsVersion = "3";
          border = "rounded";
        };
      };
    };
  };
}
