{
  lib,
  config,
  ...
}: let
  cfg = config.shell.bat;
in {
  options = {
    shell.bat.enable = lib.mkEnableOption "bat, a cat replacement with syntax highlighting";
  };

  config = lib.mkIf cfg.enable {
    programs.bat = {
      enable = true;
      config = {
        map-syntax = ["*.ino:C++"];
        theme = "Solarized (dark)";
        style = "numbers,changes,header-filename,header-filesize";
      };
    };
  };
}
